:root {
  --md-primary-fg-color: #0014DC;          /* header/top banner */
  --md-primary-fg-color--dark: #0014DC;
  --md-primary-fg-color--light: #0014DC;

  --md-accent-fg-color: #0014DC;           /* links/buttons highlights */
}

/* Allows dark mode to use same blue */
[data-md-color-scheme="slate"] {
  --md-primary-fg-color: #0014DC;
  --md-accent-fg-color: #0014DC;
}

/* ===== Load JetBrains Nerd Font for code ===== */
@font-face {
  font-family: "JetBrains Mono Nerd Font";
  src: url("../fonts/JetBrainsMonoNerdFont-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "JetBrains Mono Nerd Font";
  src: url("../fonts/JetBrainsMonoNerdFont-Bold.ttf") format("truetype");
  font-weight: 700;
  font-style: normal;
}

/* ===== Load SLB Sans ===== */

@font-face {
  font-family: "SLB Sans";
  src: url("../fonts/SLBSans-Book.otf") format("opentype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "SLB Sans";
  src: url("../fonts/SLBSans-BookItalic.otf") format("opentype");
  font-weight: 400;
  font-style: italic;
}

@font-face {
  font-family: "SLB Sans";
  src: url("../fonts/SLBSans-Bold.otf") format("opentype");
  font-weight: 700;
  font-style: normal;
}

:root {
  --md-text-font: "SLB Sans", -apple-system, BlinkMacSystemFont, Helvetica, Arial, sans-serif;
  --md-code-font: "JetBrains Mono Nerd Font", monospace;
}

h1, h2, h3, h4, h5, h6 {
  font-family: "SLB Sans", sans-serif;
}

/* Increase overall content width */
.md-grid {
  max-width: 1800px;   /* default is ~1220px */
}

/* Make left navigation section headers more prominent and blue */
.md-nav__item--section > .md-nav__link {
  font-weight: 700;
  color: #0014DC !important;
}

/* Add slight spacing between sections */
.md-nav__item--section {
  margin-top: 0.4rem;
}

.md-nav__item--section > .md-nav__link:hover {
  color: #0014DC !important;
}

/* Consistent spacing when clearing styles */
.inline-clear {
  clear: both;
  margin: 2rem 0;
}
